Subject: Re: [bug#61434] [PATCH] gnu: Add emacs-pasp-mode.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 11 Feb 2023 18:24:43 +0100

Am Samstag, dem 11.02.2023 um 17:59 +0100 schrieb Nicolas Goaziou:
> > +     (source (origin
> > +              (method git-fetch)
> > +              (uri (git-reference
> > +                    (url
> > "https://github.com/santifa/pasp-mode.git")
> 
> You can remove the ".git" suffix.
Will do.

> > +           (add-after 'unpack 'defconst-version
> > +             (lambda _
> > +               (emacs-batch-edit-file "pasp-mode.el"
> > +                 '(progn
> > +                   (search-forward-regexp
> > +                           "(defcustom pasp-mode-version
> > \"[^\"]*\"[
> > + ]*\\(\"[^\"]*\"\\)[^()]*)")
> > +                   (let ((docstring (match-string 1)))
> > +                     (backward-sexp)
> > +                     (kill-sexp)
> > +                     (insert (format "(defconst emacs-pasp-version
> > \"%s\" %s)"
> > +                                     #$version docstring))
> > +                     (basic-save-buffer))))))
> 
> This dance is not necessary. You can simply use
> `emacs-substitute-variables', change the value, and keep the
> defcustom.  A defconst is not a constant in Elisp anyway.
A defconst does raise a warning if it's changed, so I'd rather do that.

> > +     (synopsis "Major mode for editing Answer Set Programs.")
> 
> You can remove the final full stop.
Will do that.

> It may be clearer to also mention "Potassco" so as to understand
> better the PASP acronym.
Somewhat unsure about this.

> > +     (description
> > +      "This package provides a major mode for editing answer set
> > programs,
> > +in particular ones that can be solved by @command{clingo}.")
> 
> I suggest "Answer Set Programs", since this seems to be a very
> specific thing.
Also unsure about this, since there doesn't seem to be a coherent term
shared among the clingo packages and if we do that, I think it should
be applied across the board.

Cheers